package com.hzya.frame.basedao.dao;


import com.hzya.frame.basedao.entity.RequestDisposeEntity;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

public interface RequestDisposeEntityMapper {

    //根据sql语句查询
    List<HashMap<String, Object>> selectBySql(@Param("sql") String sql);

    //条件查询
    List<HashMap<String, Object>> selectByExample(RequestDisposeEntity example);

    //查询数量
    Integer countByExample(RequestDisposeEntity example);

    //单个条件
    Integer insert(RequestDisposeEntity example);

    //批量添加
    Integer insertSelective(RequestDisposeEntity example);

    //修改
    Integer updateByExample(RequestDisposeEntity example);

    //删除
    Integer deleteByExample(RequestDisposeEntity example);

}
